PROGRAM CRD
	USE input
	USE output
	USE diffusion
	USE arrays
		IMPLICIT NONE
		INTEGER,ALLOCATABLE ::events(:,:,:)
		REAL(8),ALLOCATABLE::nuc_density(:,:,:)
		REAL(8),ALLOCATABLE::disc_r(:),disc_v(:),cooling_E(:),cooling_b(:),xsec(:,:,:,:,:,:)
		REAL(4),ALLOCATABLE::density(:,:,:,:)
		
		CALL setup()
				
		CALL making_arrays(nuc_density,events,disc_r,disc_v,cooling_E,cooling_b,xsec,density)

		CALL diffusions(xsec,disc_r,disc_v,cooling_E,cooling_b,nuc_density,events,density)
					
		CALL plots(nuc_density,density)
		
		SELECT CASE(calculate)
			CASE('S/P')
				!CALL calculate_chai(nuc_density,events)

		END SELECT
END PROGRAM CRD